com.mysql.cj.protocol

## Interface SocketMetadata

All Known Subinterfaces:
  SocketFactory

    public interface SocketMetadata

### Method Summary

All Methods Instance Methods Default Methods
`default boolean` `isLocallyConnected(Session sess)`
`default boolean` `isLocallyConnected(Session sess, String processHost)`

### Method Detail

#### isLocallyConnected

    default boolean isLocallyConnected(Session sess)

#### isLocallyConnected

    default boolean isLocallyConnected(Session sess,
                                       String processHost)

Copyright © 2016, 2024, Oracle and/or its affiliates.